MUMPS.h File Reference
`#include "SparseMatrix.h"`
`#include "Options.h"`
`#include "PasoException.h"`

Go to the source code of this file.

## Classes

struct | paso::MUMPS_Handler_t
struct | paso::MUMPS_Handler< T >
struct | paso::MUMPS_Handler< double >
struct | paso::MUMPS_Handler< cplx_t >

## Namespaces

| paso

## Functions

template<typename T >
void | paso::MUMPS_free (SparseMatrix< T > *A)
| frees any MUMPS related data from the matrix More...
template<typename T >
void | paso::MUMPS_solve (SparseMatrix_ptr< T > A, T *out, T *in, dim_t numRefinements, bool verbose)
| calls the solver More...
template<typename T >
void | paso::MUMPS_print_list (const char *name, const T *vals, const int n, const int max_n=100)
std::ostream & | paso::operator<< (std::ostream &os, const cplx_t &c)